using FluentValidation;

namespace Indotalent.Features.Sales.CreditNote.Cqrs;

public class UpdateCreditNoteValidator : AbstractValidator<UpdateCreditNoteRequest>
{
    public UpdateCreditNoteValidator()
    {
        RuleFor(x => x.Id).NotEmpty();
        RuleFor(x => x.SalesReturnId).NotEmpty().WithMessage("Sales Return reference is required");
    }
}